Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class PiggybackRowEntry

    java.lang.Object
      |
      +--oracle.jbo.common.PiggybackRowEntry

public final class PiggybackRowEntry
extends java.lang.Object
implements PiggybackEntry

This class is a helper class for Client Service to do piggybacking.

Version:
  SDK
See Also:
  Serialized Form

Field Summary
`static int` | `PIGGYBACK_DELETE`
`static int` | `PIGGYBACK_INSERT`
`static int` | `PIGGYBACK_LOCK`
`static int` | `PIGGYBACK_RANGE_REFRESHED`
`static int` | `PIGGYBACK_RANGE_SCROLLED`
`static int` | `PIGGYBACK_REMOVE_HDL`
`static int` | `PIGGYBACK_REVERT`
`static int` | `PIGGYBACK_ROW`
`static int` | `PIGGYBACK_SET_CURRENT_ROW`
`static int` | `PIGGYBACK_SET_CURRENT_ROW_AT_RANGE_INDEX`
`static int` | `PIGGYBACK_UPDATE`
`static int` | `PIGGYBACK_UPPER_VC_ROW`
`static int` | `PIGGYBACK_VALIDATE`
`static int` | `POS_AT_ROW_HDL`
`static int` | `POS_FIRST`
`static int` | `POS_LAST`
`static int` | `POS_NEXT`
`static int` | `POS_PREV`
`static int` | `POS_RANGE_IDX`
`static int` | `POS_REFRESH_CACHE`
`static int` | `POS_RESET`

Constructor Summary
`PiggybackRowEntry()`
`PiggybackRowEntry(ObjectMarshaller marshaller, int type, int rvId, int rowIndex, AttributeList row, java.lang.Object rowHandle, int[] changedColumns)`
`PiggybackRowEntry(ObjectMarshaller marshaller, int type, int rvId, int rowIndex, java.lang.Object[] rowVal, int[] columns, java.lang.Object rowHandle, int rowRSIId)`

Method Summary
`java.lang.Object[]` | `getDataRow()`
`java.lang.Object` | `getHandle()`
`int` | `getId()`
`int` | `getIndex()`
`int[]` | `getIndexes()`
`int` | `getRowRSIId()`
`int` | `getType()`
`int` | `getViewId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PIGGYBACK_UPDATE

    public static final int PIGGYBACK_UPDATE

### PIGGYBACK_INSERT

    public static final int PIGGYBACK_INSERT

### PIGGYBACK_ROW

    public static final int PIGGYBACK_ROW

### PIGGYBACK_SET_CURRENT_ROW_AT_RANGE_INDEX

    public static final int PIGGYBACK_SET_CURRENT_ROW_AT_RANGE_INDEX

### PIGGYBACK_SET_CURRENT_ROW

    public static final int PIGGYBACK_SET_CURRENT_ROW

### PIGGYBACK_RANGE_REFRESHED

    public static final int PIGGYBACK_RANGE_REFRESHED

### PIGGYBACK_RANGE_SCROLLED

    public static final int PIGGYBACK_RANGE_SCROLLED

### PIGGYBACK_UPPER_VC_ROW

    public static final int PIGGYBACK_UPPER_VC_ROW

### PIGGYBACK_DELETE

    public static final int PIGGYBACK_DELETE

### PIGGYBACK_VALIDATE

    public static final int PIGGYBACK_VALIDATE

### PIGGYBACK_REVERT

    public static final int PIGGYBACK_REVERT

### PIGGYBACK_LOCK

    public static final int PIGGYBACK_LOCK

### PIGGYBACK_REMOVE_HDL

    public static final int PIGGYBACK_REMOVE_HDL

### POS_FIRST

    public static final int POS_FIRST

### POS_PREV

    public static final int POS_PREV

### POS_NEXT

    public static final int POS_NEXT

### POS_LAST

    public static final int POS_LAST

### POS_RANGE_IDX

    public static final int POS_RANGE_IDX

### POS_AT_ROW_HDL

    public static final int POS_AT_ROW_HDL

### POS_RESET

    public static final int POS_RESET

### POS_REFRESH_CACHE

    public static final int POS_REFRESH_CACHE

Constructor Detail

### PiggybackRowEntry

    public PiggybackRowEntry()

### PiggybackRowEntry

    public PiggybackRowEntry(ObjectMarshaller marshaller,
                             int type,
                             int rvId,
                             int rowIndex,
                             java.lang.Object[] rowVal,
                             int[] columns,
                             java.lang.Object rowHandle,
                             int rowRSIId)

### PiggybackRowEntry

    public PiggybackRowEntry(ObjectMarshaller marshaller,
                             int type,
                             int rvId,
                             int rowIndex,
                             AttributeList row,
                             java.lang.Object rowHandle,
                             int[] changedColumns)

Method Detail

### getType

    public int getType()

### getViewId

    public int getViewId()

### getId

    public int getId()

  Specified by:
    getId in interface PiggybackEntry

### getIndex

    public int getIndex()

### getDataRow

    public java.lang.Object[] getDataRow()

### getIndexes

    public int[] getIndexes()

### getHandle

    public java.lang.Object getHandle()

### getRowRSIId

    public int getRowRSIId()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD